package screen

import (
	"testing"

	"p78git.ddns.net/svi/libtui/types"
)

// Тестер для экрана
type tester struct {
	t    *testing.T
	app  types.IApp
	scr  *Screen
	iscr types.IScreen
	err  error
}

func TestScreen(t *testing.T) {
	test := &tester{
		t: t,
	}
	test.create()
}

// Создание экрана
func (sf *tester) create() {
	sf.t.Logf("create")
	sf.scr, sf.err = NewScreen(sf.app)
	if sf.err != nil {
		sf.t.Fatalf("create(): err=\n\t%v", sf.err)
	}
	if sf.scr == nil {
		sf.t.Fatalf("create(): screen=nil")
	}
	sf.iscr = sf.scr
	sizeX, sizeY := sf.iscr.Size()
	if sizeX != 0 {
		sf.t.Fatalf("create(): sizeX(%v)!=0", sizeX)
	}
	if sizeY != 0 {
		sf.t.Fatalf("create(): sizeY(%v)!=0", sizeY)
	}
}
